aboutsummaryrefslogtreecommitdiffstats
path: root/testing/mpd/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-09-10 09:04:06 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-09-10 09:07:14 +0000
commit868e4cbd62215412630b50ba8fa82a81d55edca0 (patch)
tree655ef50c27e66467dfd1643c06539830d8ffab98 /testing/mpd/APKBUILD
parent08a789230fb36d32a10b92ecbf12d8ec55c5e4a6 (diff)
downloadaports-868e4cbd62215412630b50ba8fa82a81d55edca0.tar.gz
aports-868e4cbd62215412630b50ba8fa82a81d55edca0.tar.bz2
aports-868e4cbd62215412630b50ba8fa82a81d55edca0.tar.xz
testing/mpd: new aport
Music daemon that plays MP3, FLAC, and Ogg Vorbis files http://musicpd.org
Diffstat (limited to 'testing/mpd/APKBUILD')
-rw-r--r--testing/mpd/APKBUILD48
1 files changed, 48 insertions, 0 deletions
diff --git a/testing/mpd/APKBUILD b/testing/mpd/APKBUILD
new file mode 100644
index 0000000000..92e8c6db7d
--- /dev/null
+++ b/testing/mpd/APKBUILD
@@ -0,0 +1,48 @@
+# Contributor: Sebastian Wicki <gandro@gmx.net>
+# Maintainer: Natanael Copa <natanael.copa@gmail.com>
+pkgname=mpd
+pkgver=0.15.2
+pkgrel=0
+pkgdesc="Music daemon that plays MP3, FLAC, and Ogg Vorbis files"
+url="http://musicpd.org"
+pkgusers="mpd"
+pkggroups="mpd audio"
+license="GPL2"
+depends=
+makedepends="pkgconfig lame-dev glib-dev curl-dev libao-dev libmad-dev flac-dev
+ libogg-dev faad2-dev libid3tag-dev libvorbis-dev alsa-lib-dev"
+install="$pkgname.pre-install"
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/project/musicpd/mpd/${pkgver}/mpd-${pkgver}.tar.bz2
+ mpd.initd
+ mpd.confd
+ "
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+ make DESTDIR="$pkgdir" install
+
+ #provide a config that works by default
+ install -d "$pkgdir"/etc
+ sed -e 's:\#pid_file.*:pid_file\t\t/var/run/mpd/mpd.pid:' \
+ -e 's:\#user.*:user\t\tmpd:' \
+ -e 's:\#log_file.*:log_file\t\t/var/log/mpd:' \
+ doc/mpdconf.example > "$pkgdir"/etc/mpd.conf
+
+ install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+ install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+ install -d -g audio -o mpd -m775 \
+ "$pkgdir"/var/run/mpd \
+ "$pkgdir"/var/log/mpd \
+ "$pkgdir"/var/lib/mpd/playlists \
+ "$pkgdir"/var/lib/mpd/music
+}
+md5sums="869779fdf592ac45d067c7dec228cb51 mpd-0.15.2.tar.bz2
+942017fbdc8bbaf5109e972a0a51b2c1 mpd.initd
+dbd301041953a5cf9c2b9de8f23eb6bb mpd.confd"